import { main } from '@/api'
import request from '@/utils/require'

export function selectList(data) {
    return request({
        url: `${main}/client/not_inv_adj/selectList?pageSize=${data.pageSize}&pageNum=${data.pageNum}`,
        method: 'post',
        data
    })
}

export function selectInvAdjSummary(data) {
    return request({
        url: `${main}/client/not_inv_adj/selectNotInvAdjSummary?sskd=${data}`,
        method: 'get',
    })
}

export function save(data) {
    return request({
        url: `${main}/client/not_inv_adj/save`,
        method: 'post',
        data
    })
}

//更新接口
export function update(data) {
    return request({
        url: `${main}/client/not_inv_adj/update`,
        method: 'put',
        data
    })
}

//详情接口
export function selectDetail(data) {
    return request({
        url: `${main}/client/not_inv_adj/selectDetail`,
        method: 'post',
        data
    })
}
//库存年度更新接口
export function updateKcnd(data) {
    return request({
        url: `${main}/client/not_inv_adj/updateKcnd`,
        method: 'put',
        data
    })
}

//库存年度详情接口
export function selectKcndDetail(data) {
    return request({
        url: `${main}/client/not_inv_adj/selectKcndDetail`,
        method: 'post',
        data
    })
}
